import { ThemeProvider } from "@/lib/hooks";
import { TailwindIndicator } from "@repo/rdx-ui/components";
import { StrictMode } from "react";
import { createRoot } from "react-dom/client";
import { App } from "./app.tsx";

import "./global.css";

const rootElement = document.getElementById("factuges");
if (rootElement) {
  createRoot(rootElement).render(
    <StrictMode>
      <ThemeProvider defaultTheme='light' storageKey='vite-ui-theme'>
        <App />
        <TailwindIndicator />
      </ThemeProvider>
    </StrictMode>
  );
} else {
  console.error("Root element with id 'factuges' not found.");
}
